












Beta Observability Evaluations Endpoints
(beta) Observability - Evaluations API.












Examples
Real world code examples
List worker pipeline configurations
GET /v1/observability/pipeline-configs#
List worker pipeline configurations
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/observability/pipeline-configs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/pipeline-configs \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
const result = await mistral.beta.observability.evaluations.listPipelineConfigs({});
console.log(result);
}
run();import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
const result = await mistral.beta.observability.evaluations.listPipelineConfigs({});
console.log(result);
}
run();200
{
"pipeline_configs": {
"count": 87
}
}{
"pipeline_configs": {
"count": 87
}
}Create a worker pipeline configuration
POST /v1/observability/pipeline-configs#
Create a worker pipeline configuration
201
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/observability/pipeline-configs \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"name": "My resource",
"pipeline_kind": "detection",
"selectors": [
{
"source_kind": "span"
}
]
}'curl https://api.mistral.ai/v1/observability/pipeline-configs \
-X POST \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"name": "My resource",
"pipeline_kind": "detection",
"selectors": [
{
"source_kind": "span"
}
]
}'import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
const result = await mistral.beta.observability.evaluations.createPipelineConfig({
name: "<value>",
pipelineKind: "judge",
selectors: [],
definitions: [
{
model: "mistral-moderation-latest",
},
],
});
console.log(result);
}
run();import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
const result = await mistral.beta.observability.evaluations.createPipelineConfig({
name: "<value>",
pipelineKind: "judge",
selectors: [],
definitions: [
{
model: "mistral-moderation-latest",
},
],
});
console.log(result);
}
run();201
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Get a worker pipeline configuration
GET /v1/observability/pipeline-configs/{pipeline_config_id}#
Get a worker pipeline configuration
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/observability/pipeline-configs/{pipeline_config_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'curl https://api.mistral.ai/v1/observability/pipeline-configs/{pipeline_config_id} \
-X GET \
-H 'Authorization: Bearer YOUR_APIKEY_HERE'import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
const result = await mistral.beta.observability.evaluations.getPipelineConfig({
pipelineConfigId: "939fdf7d-2edf-45ca-bb75-a47326da1799",
});
console.log(result);
}
run();import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
const result = await mistral.beta.observability.evaluations.getPipelineConfig({
pipelineConfigId: "939fdf7d-2edf-45ca-bb75-a47326da1799",
});
console.log(result);
}
run();200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Replace a worker pipeline configuration
PUT /v1/observability/pipeline-configs/{pipeline_config_id}#
Replace a worker pipeline configuration
200
Successful Response
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/observability/pipeline-configs/{pipeline_config_id} \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"enabled": false,
"name": "My resource",
"pipeline_kind": "detection",
"selectors": [
{
"source_kind": "span"
}
]
}'curl https://api.mistral.ai/v1/observability/pipeline-configs/{pipeline_config_id} \
-X PUT \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json' \
-d '{
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"enabled": false,
"name": "My resource",
"pipeline_kind": "detection",
"selectors": [
{
"source_kind": "span"
}
]
}'import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
const result = await mistral.beta.observability.evaluations.updatePipelineConfig({
pipelineConfigId: "4ee75abd-cccd-4232-9858-0c535465bfd5",
updatePipelineConfigRequest: {
name: "<value>",
pipelineKind: "detection",
selectors: [],
definitions: [],
enabled: true,
},
});
console.log(result);
}
run();import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
const result = await mistral.beta.observability.evaluations.updatePipelineConfig({
pipelineConfigId: "4ee75abd-cccd-4232-9858-0c535465bfd5",
updatePipelineConfigRequest: {
name: "<value>",
pipelineKind: "detection",
selectors: [],
definitions: [],
enabled: true,
},
});
console.log(result);
}
run();200
{
"created_at": "2025-12-17T10:25:07.818693Z",
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}{
"created_at": "2025-12-17T10:25:07.818693Z",
"definitions": [
{
"patterns": [
{
"category": "ipsum eiusmod",
"confidence": "consequat do",
"name": "My resource",
"regex": "occaecat dolor sit"
}
],
"target_attributes": [
"nostrud"
]
}
],
"deleted_at": null,
"enabled": false,
"id": "019b2bd7-96e7-7219-8c0b-45a73da50088",
"name": "My resource",
"pipeline_kind": "detection",
"scope": "workspace",
"selectors": [
{
"source_kind": "span"
}
],
"updated_at": "2025-12-17T10:41:03.469341Z",
"workspace_id": "019b2bd7-96e7-7219-8c0b-45a73da50088"
}Delete a worker pipeline configuration
DELETE /v1/observability/pipeline-configs/{pipeline_config_id}#
Delete a worker pipeline configuration
Playground
Test the endpoints live
curl https://api.mistral.ai/v1/observability/pipeline-configs/{pipeline_config_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'curl https://api.mistral.ai/v1/observability/pipeline-configs/{pipeline_config_id} \
-X DELETE \
-H 'Authorization: Bearer YOUR_APIKEY_HERE' \
-H 'Content-Type: application/json'import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
await mistral.beta.observability.evaluations.deletePipelineConfig({
pipelineConfigId: "816cdd49-f7b2-4941-a73d-af3c25958c4d",
});
}
run();import { Mistral } from "@mistralai/mistralai";
const mistral = new Mistral({
apiKey: process.env["MISTRAL_API_KEY"] ?? "",
});
async function run() {
await mistral.beta.observability.evaluations.deletePipelineConfig({
pipelineConfigId: "816cdd49-f7b2-4941-a73d-af3c25958c4d",
});
}
run();